.user_container {
  display: flex;
  position: relative;
  justify-content: flex-start;
  width: 100%;
  height: auto;
  margin-bottom: 1.5rem;
}

.user_container .user_img {
  position: relative;
  width: 180px;
  flex-shrink: 0;
  cursor: pointer;
  height: 100%;
}

.user_container .user_img_panel {
  opacity: 0;
  pointer-events: none;
  position: absolute;
  top: 188px;
  left: 0rem;
  display: flex;
  flex-direction: column;
  width: fit-content;
  background-color: white;
  padding: 1rem;
  border-radius: 1rem;
  font-size: 14px;
  box-shadow: 0px 4px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 2;
}

.user_container .user_img_panel.active {
  opacity: 1;
  pointer-events: auto;
}

.user_container .user_img_panel .item {
  display: flex;
  border-radius: 0.5rem;
  gap: 5px;
  padding: 0.5rem;
  cursor: pointer;
  transition: 0.2s all ease;
}

.user_container .user_img_panel .item:hover {
  display: flex;
  background-color: #000;
  color: white;
  gap: 5px;
  cursor: pointer;
  transition: 0.2s all ease;
}

.user_container .user_img_panel .item:hover img {
  filter: invert(1) brightness(10);
  transition: 0.2s all ease;
}

.user_container .user_img_panel .item img {
  transition: 0.2s all ease;
}

.user_container .user_img img {
  width: 100%;
  object-fit: cover;
  border: 1px solid lightgray;
  border-radius: 50%;
  aspect-ratio: 1/1;
}

.user_container .user_img .avatar {
  position: absolute;
  bottom: -2px;
  right: 0rem;
  width: 56px;
  height: 56px;
  border: 1px solid var(--pwLightGray);
  border-radius: 50%;
  z-index: 1;
}

.user_container .user_info {
  width: 50%;
  padding: 0 1rem 0 1.5rem;
  letter-spacing: 1px;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.user_info .title {
  color: var(--pwGray2);
  letter-spacing: 1px;
  margin-bottom: 0;
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
  line-height: 1.5;
  gap: 5px;
}

.user_info .intro {
  color: var(--grey-6);
}

.user_container .user_info .points {
  display: flex;
  align-items: center;
  font-size: 20px;
  font-weight: 500;
  color: var(--pwBlue);
}

.user_container .user_info .follow {
  display: flex;
  align-items: center;
  font-size: 16px;
}

.user_container .user_info .follow > div {
  margin-right: 1rem;
}

.user_container .user_info .follow .num {
  font-size: 130%;
}

.user_container .btns {
  flex-wrap: wrap;
  height: fit-content;
  display: flex;
  justify-content: flex-end;
  align-items: start;
  margin-left: auto;
  gap: 1rem 10px;
}

.btns .btn {
  all: unset;
  cursor: pointer;
  display: inline-flex;
  height: 36px;
  padding: 0px 16px;
  gap: 5px;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-radius: 25px;
  border: 1px solid var(--grey-5);
  background-color: #fff;
  transition: 0.2s all ease;
}

.btns .btn.disabled {
  border-color: var(--pwGray2);
  background-color: var(--pwGray2) !important;
  opacity: 0.5;
  cursor: not-allowed;
  pointer-events: none;
}

.btns .btn:hover {
  background-color: var(--pwGray);
  color: white;
}

.btns .btn img {
  filter: unset;
  transition: 0.2s all ease;
}

.btns .btn:hover img {
  filter: invert(10) brightness(5);
  transition: 0.2s all ease;
}

.btns .btn.point img {
  filter: brightness(0) grayscale(1);
  transition: 0.2s all ease;
}

.btns .btn.point:hover img {
  filter: brightness(10) grayscale(1);
  transition: 0.2s all ease;
}

.btns .btn.follow {
  background-color: var(--pwBlue);
  color: white;
  transition: 0.2s all ease;
  width: 76px;
}

.btns .btn.confirm {
  background-color: var(--pwBlue);
  color: white;
  transition: 0.2s all ease;
}

.btns .btn.confirm:hover,
.btns .btn.follow:hover {
  filter: brightness(0.9);
  transition: 0.2s all ease;
}

.btns .btn.unfollow {
  background-color: white;
  color: var(--pwGray);
  transition: 0.2s all ease;
  width: 82px;
}

.btns .btn.unfollow:hover {
  color: white;
  background-color: var(--pwGray);
  transition: 0.2s all ease;
}

.tabs {
  display: flex;
  width: 100%;
  height: 4rem;
  border-bottom: 1px solid;
  margin-bottom: 30px;
}

.tabs .btn_tab {
  cursor: pointer;
  min-width: 130px;
  width: fit-content;
  padding: 0 0.5rem;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.2s all ease;
}

.tabs .btn_tab img {
  filter: brightness(0) saturate(0) grayscale(1);
  width: 28px;
  transition: 0.2s all ease;
}

.tabs .btn_tab span:last-child {
  margin-left: 5px;
}

.tabs .btn_tab.active,
.tabs .btn_tab:hover {
  background-color: var(--pwGray);
  color: white;
}

.tabs .btn_tab.active img,
.tabs .btn_tab:hover img {
  filter: brightness(10) saturate(0) grayscale(1);
  transition: 0.2s all ease;
}

.tab_content .sub_tabs {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  width: 100%;
  margin-bottom: 40px;
  gap: 1rem;
}

.sub_tabs .tab {
  cursor: pointer;
  display: inline-flex;
  height: 40px;
  padding: 0px 16px;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-radius: 4px;
  border: 1px solid #e2e2e2;
  transition: 0.2s all ease;
}

.sub_tabs .tab span {
  display: contents;
}

.sub_tabs .tab.active,
.sub_tabs .tab:hover {
  background-color: var(--pwGray);
  color: white;
}

.tab_content .search_panel {
  width: 100%;
  height: auto;
  display: flex;
}

.search_panel .select_wrap {
  width: 50%;
  display: flex;
  flex-direction: column;
  margin-right: 1rem;
}

.search_panel .select_wrap .select_item {
  display: flex;
  width: 100%;
  align-items: center;
  margin-bottom: 0.5rem;
}

.search_panel .select_wrap .select_item:last-child {
  margin-bottom: 0;
}

.search_panel .select_wrap .select_item .title {
  width: 80px;
  flex-shrink: 0;
  font-weight: 500;
}

.search_panel .btns button {
  width: 80px;
  height: 35px;
}

.table_content {
  margin-top: 1rem;
}

.tab_content .count {
  text-align: right;
  margin-bottom: 0.5rem;
}

.table thead th {
  border-bottom: none;
  font-weight: 500;
}

.table p {
  margin-bottom: 0;
}

.table_content .table td,
.table_content .table th {
  vertical-align: middle;
  width: auto;
}

/* +++++ 成就 +++++ */

.tab_content.achievement {
  display: flex;
  gap: 0 8%;
  width: 100%;
}

.tab_content.achievement .list {
  width: 15%;
  display: flex;
  flex-direction: column;
}

.tab_content.achievement .list .list_item {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.list .list_item.total {
  font-weight: 500;
  font-size: clamp(0.9rem, 2vw, 1rem);
  margin-bottom: 0.8rem;
}

.list .list_item.tab {
  cursor: pointer;
  --clr: var(--pwGray2);
  --clr2: var(--grey-4);
  color: var(--clr);
  margin-bottom: 0.5rem;
  padding: 3px 0 3px 8px;
  font-size: 14px;
  border-left: 4px solid var(--clr2);
  transition: 0.2s all ease;
  will-change: font-weight;
  font-weight: 400;
}

.list .list_item.tab.active,
.list .list_item.tab:hover {
  --clr: var(--pwGray);
  --clr2: var(--pwGray);
  font-weight: 500;
  will-change: font-weight;
}

.list .list_selector {
  display: none;
}

.tab_content.achievement .content_wrap {
  width: 85%;
  display: flex;
  flex-direction: column;
}

.tab_content.achievement .achievement_wrap {
  border-top: 1px solid black;
  padding: 1rem 0 0 0;
}

.tab_content.achievement .achievement_wrap:last-child {
  border-bottom: 1px solid black;
}

.achievement_wrap .total {
  font-size: 14px;
}

.achievement_wrap .func {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1rem;
}

.achievement_wrap .func .toggle {
  cursor: pointer;
  position: relative;
  display: flex;
  width: fit-content;
  padding: 0 0 0 1.8rem;
}

.achievement_wrap .func .toggle span {
  margin-top: 2px;
}

.achievement_wrap .func .toggle::after {
  content: '';
  position: absolute;
  left: 0;
  width: 1rem;
  height: 1.1px;
  background-color: black;
  top: 50%;
  transform: translateY(-50%);
  transition: 0.2s all ease;
  z-index: 1;
}

.achievement_wrap .func .toggle::before {
  content: '';
  position: absolute;
  left: 0;
  width: 1rem;
  height: 1.1px;
  background-color: black;
  top: 50%;
  transform: translateY(-50%);
  transition: 0.2s all ease;
}

.achievement_wrap .func .toggle.active::after {
  transform: translateY(-50%) rotate(90deg);
  transition: 0.2s all ease;
}

.tab_content.achievement .content_wrap .total_wrap {
  font-size: 14px;
  width: 100%;
  display: flex;
  gap: 5px;
  margin-bottom: 1rem;
  align-items: center;
}

.achievement_wrap .achievement_container {
  width: 100%;
  transform: scaleY(0);
  opacity: 0;
  height: 0;
  transform-origin: top;
  transition: all 0 ease;
}

.achievement_wrap .achievement_container.show {
  transform: scaleY(1);
  height: auto;
  opacity: 1;
  transition: opacity 0.2s ease;
}

.achievement_wrap .achievement_container .achievement {
  padding: 1rem 0;
  display: flex;
  border-top: 1.5px solid #d3d3d399;
}

.achievement_container .achievement .img_wrap {
  width: 100px;
  display: flex;
}

.achievement_container .achievement .img_wrap img {
  width: 100%;
  aspect-ratio: 1/1;
  border-radius: 8px;
  object-fit: cover;
  object-position: top center;
  margin-bottom: auto;
}

.achievement_container .achievement .content {
  font-size: 18px;
  width: 100%;
  font-weight: 500;
  margin-top: 2px;
  padding: 0 1rem;
  display: flex;
  flex-direction: column;
}

.achievement_container .achievement .content h6 {
  margin-bottom: 0rem;
  font-size: inherit;
}

.achievement_container .achievement .content p {
  color: var(--pwGray2);
  margin: 0.5rem 0;
  font-size: 70%;
  font-weight: 400;
}

.achievement_container .achievement .content .title {
  font-size: 70%;
  font-weight: 400;
  display: flex;
  gap: 3px;
  align-items: flex-end;
}

.achievement_container .achievement .info {
  position: relative;
  width: 150px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.achievement_container .achievement .info > div {
  display: flex;
  align-items: center;
  margin-bottom: 5px;
}

.achievement_container .achievement small {
  font-size: 90%;
}

.achievement_container .achievement .info span {
  font-size: 120%;
  line-height: 1;
  font-weight: 500;
}

.achievement_container .achievement .info small {
  font-size: 12px;
}

.achievement_container .achievement .info img {
  width: 24px;
  filter: grayscale(1) brightness(0.5);
  margin-right: 5px;
}

.achievement_container .achievement.disabled {
  opacity: 0.5;
  filter: grayscale(1);
}

.achievement_container .achievement.disabled .info svg {
  display: none;
}

.tab_content.achievement .achievement_wrap.general {
  border-top: none;
  padding: 0;
}

.achievement_wrap.general .achievement_container.show,
.achievement_wrap.general .achievement_container {
  all: unset;
  width: 100%;
}

.tab_content.achievement .achievement_wrap:last-child {
  border-bottom: 1px solid var(--gray);
}

.tab_content.achievement .achievement_wrap.general {
  border-top: 1px solid var(--gray);
  padding: 0;
}

.tab_content.achievement
  .achievement_wrap.general
  .achievement_container
  .achievement {
  border: none;
}

.tab_content.achievement .achievement_wrap.general > h6,
.tab_content.achievement .achievement_wrap.general .func {
  display: none;
}

/* +++++ 我的蹦點 +++++ */

.point_content {
  width: 100%;
  display: grid;
  grid-template-columns: 33% 1fr;
  gap: 1rem;
}

.point_content h3 {
  margin-bottom: 0;
}

.point_content .user_points {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.user_points .total_points {
  width: 100%;
  position: relative;
  background-color: #f6f8fa;
  padding: 1rem;
  margin-bottom: 1.5rem;
  border-radius: 4px;
  display: flex;
  color: var(--pwBlue);
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  font-weight: 600;
  font-size: clamp(2rem, 3vw, 50px);
}

.point_content .total_points > a {
  all: unset;
  position: absolute;
  bottom: -1.5rem;
  left: 0rem;
  font-weight: 400;
  font-size: 14px;
  cursor: pointer;
  color:var(--pwGray2);
  transition: 0.2s all ease;
}

.point_content .total_points a:hover {
  opacity: .5;
}


.user_points .points_expired {
  width: 100%;
  display: flex;
  font-size: 1rem;
  align-items: center;
  color: var(--pwGray2);
}

.user_points .points_expired .num {
  font-size: 120%;
  font-weight: 600;
  color: var(--pwGray);
}

.records_container {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.records_container .sub_tabs {
  display: flex;
  gap: 1rem;
}

.records_container .sub_tabs .tab {
  margin: 0;
}

.records_container .total {
  color: var(--pwGray2);
}

.record_content .record_list {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.record_list .record_item {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between;
  padding: 1rem 0;
  gap: 0 1rem;
  border-top: 1px solid var(--grey-4);
}

.record_list .record_item:last-child {
  border-bottom: 1px solid var(--grey-4);
  padding: 1rem 0;
}

.record_item .content {
  display: flex;
  width: 100%;
  flex-direction: column;
  justify-content: center;
}

.record_item h5 {
  font-weight: 400;
}

.record_item .content .type {
  display: flex;
  align-items: center;
  color:#333333;
  gap: .5rem;
  font-size: 85%;
}

.record_item .content .type .source {
  width: fit-content;
  background-color: #EAF7FC;
  border-radius: 4px;
  display: flex;
  padding: 3px 0.6rem;
  letter-spacing: 1px;
  align-items: center;
}

.record_item .content .type .source.purchase {
  background-color: #FCEBEB;
}

.record_item .points {
  width: fit-content;
  position: relative;
  flex-shrink: 0;
  font-size: 1.2rem;
  line-height: 1.2;
}

.record_item .points img {
  filter: grayscale(1) brightness(0.5);
}

.record_item.purchase .points {
  color: var(--pwRed);
}

.record_item.purchase .points:before {
  content: '';
  height: 2px;
  width: 6px;
  background-color: var(--pwRed);
  position: absolute;
  left: -1rem;
  top: 40%;
}

.record_item.purchase .points img {
  filter: grayscale(0) brightness(1) hue-rotate(155deg) saturate(3)
    contrast(0.7);
}

/* +++++ 點數轉贈 +++++ */

.point_content.transfer {
  grid-template-columns: 33% 1fr 1fr;
}

.point_content.transfer .points_transfer .fee,
.point_content.transfer .points_transfer .sum {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1.5rem;
  font-weight: 500;
}

.point_content.transfer .points_transfer .points span {
  vertical-align: top;
  font-size: 120%;
}

.points_transfer .fee .points {
  position: relative;
  color: var(--pwRed);
}

.points_transfer .fee .points:before {
  content: '';
  height: 2px;
  width: 6px;
  background-color: var(--pwRed);
  position: absolute;
  left: -1rem;
  top: 40%;
}

.points_transfer .fee .points img {
  filter: grayscale(0) brightness(1) hue-rotate(155deg) saturate(3)
    contrast(0.7);
}

.points_transfer .sum .points img {
  filter: grayscale(1) brightness(0.5);
}

.points_transfer .btns {
  margin-top: 1.5rem;
  display: flex;
  justify-content: space-between;
}
.points_transfer .btns .btn {
  width: 100px;
  height: 40px;
  font-size: 14px;
}

.points_transfer .btns .btn:last-child {
  margin-left: 1rem;
}

.point_content.transfer .notice ol {
  font-size: 14px;
  line-height: 1.5;
  letter-spacing: 1px;
  padding-inline-start: 20px;
}

.point_content.transfer h5 {
  margin-bottom: 1.5rem;
}

/* +++++ 我的角色裝扮 +++++ */

#appAvatar {
  padding: 1.5rem 0;
  margin-bottom: 0;
  overflow: hidden;
}

.container .avatar_panel {
  width: 100%;
  height: 80dvh;
  display: grid;
  grid-template-columns: 20% 39% 1fr;
  background: white;
  border: 1px solid var(--grey-4);
  border-radius: 1rem;
  overflow: hidden;
}

.avatar_panel .selections_wrap {
  position: relative;
  padding: 1.25rem;
  min-width: fit-content;
  overflow: hidden;
  overflow-y: auto;
}

.avatar_panel .selections_wrap_mobile {
  display: none;
}

.avatar_panel .selections_wrap ul.selections {
  list-style: none;
  padding-inline-start: 0;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  position: relative;
}

.selections .func {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.5rem 0 0rem 1rem;
}

.selections .func span:not(:last-child) {
  color: var(--pwGray2);
}

.selections .func .toggle {
  cursor: pointer;
  font-size: 14px;
  position: relative;
  display: flex;
  width: fit-content;
  padding: 0 0 0 1.8rem;
}

.selections .func .toggle::after {
  content: '';
  position: absolute;
  left: 0;
  width: 1rem;
  height: 1.1px;
  background-color: black;
  top: 48%;
  transform: translateY(-50%);
  transition: 0.2s all ease;
  z-index: 1;
}

.selections .func .toggle::before {
  content: '';
  position: absolute;
  left: 0;
  width: 1rem;
  height: 1.1px;
  background-color: black;
  top: 48%;
  transform: translateY(-50%);
  transition: 0.2s all ease;
}

.selections .func .toggle.active::after {
  transform: translateY(-50%) rotate(90deg);
  transition: 0.2s all ease;
}

.selections li {
  position: relative;
  border-radius: 1rem;
  transition: 0.2s all ease;
  padding: 0.5rem 1rem;
  cursor: pointer;
  display: none;
  align-items: center;
  gap: 0.5rem;
  font-weight: 500;
  width: 100%;
  opacity: 0;
  transition: opacity 0 ease;
}

.selections.show li {
  opacity: 1;
  display: flex;
  transition: opacity 0.2s ease;
}

.selections li.active,
.selections li:hover {
  background-color: var(--pwGray);
  color: white;
  transition: 0.2s all ease;
}

.selections li img {
  width: 32px;
}

.selections li img.fill {
  position: absolute;
  /* left: 1rem;
  top: 50%;
  transform: translateY(-50%); */
}

.selections li img.fill {
  opacity: 0;
  transition: 0.2s all ease;
}

.selections li img.outline {
  opacity: 1;
  transition: 0.2s all ease;
}

.selections li.active img.fill,
.selections li:hover img.fill {
  opacity: 1;
  transition: 0.2s all ease;
}

.selections li.active img.outline,
.selections li:hover img.outline {
  opacity: 0;
  transition: 0.2s all ease;
}

.avatar_panel .options {
  display: grid;
  border: 1px solid var(--grey-4);
  border-top: none;
  border-bottom: none;
  padding: 1.25rem 1.25rem 3.5rem 1.25rem;
  grid-template-columns: repeat(auto-fit, minmax(110px, 0.333fr));
  grid-auto-rows: min-content;
  gap: 0.5rem;
  min-width: fit-content;
  overflow: hidden;
  overflow-y: auto;
  transition: 0.5s all ease;
}

.avatar_panel .options.loading {
  opacity: 0;
  pointer-events: none;
  transition: 0.2s all ease;
  filter: blur(5px);
}

.avatar_panel .options .part_name {
  display: none;
}

.avatar_panel .options .opt {
  background-color: var(--pwLightGray);
  width: 100%;
  border-radius: 1rem;
  height: 100%;
  outline: 2px solid transparent;
  cursor: pointer;
  position: relative;
}

.avatar_panel .options .opt .img_wrap {
  aspect-ratio: 1/1;
  position: relative;
}

.avatar_panel .options .opt .img_wrap .fake_head {
  position: absolute;
  left: 0px;
  top: 0px;
}

.avatar_panel .options .opt.obtained .img_wrap {
  opacity: 1;
  
}


.avatar_panel .options .opt.active {
  outline: 2px solid var(--pwBlue);
}

.avatar_panel .options .opt:hover:not(.active) {
  outline: 2px solid var(--grey-4);
}

.options .opt img {
  width: 100%;
  height: 100%;
  border-radius: 1rem;
  object-fit: contain;
}

.options .opt .img_wrap img:not(.fake_head) {
  border:1px solid var(--pwLightGray);
}

.options .opt label {
  border-radius: 0 15px;
  padding: 4px;
  height: 24px;
  background-color: rgba(0,0,0,.5);
  /* opacity: .5; */
  position: absolute;
  bottom: -0.1px;
  left: 0px;
  display: flex;
  align-items: center;
  margin-bottom: 0;
  color: white;
  cursor: pointer;
}


.options .opt label img {
  filter: brightness(10) grayscale(1) contrast(10);
}

.options .opt.obtained label.point {
  opacity: .2;
}

.options .opt.obtained label img {
  filter: brightness(10) grayscale(1) contrast(10);
}

.options .opt label small {
  font-weight: 600;
  margin: 0 2px;
}

.avatar_panel .result {
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: fit-content;
  overflow: hidden;
}

.avatar_panel .result:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.4;
  filter: blur(6px);
  background-image: var(--bg-url);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.avatar_panel .result .btns.bottom {
  position: absolute;
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 1rem;
  bottom: 8%;
}

.avatar_panel .result .btns.top_right {
  position: absolute;
  display: flex;
  justify-content: center;
  top: 1rem;
  left: auto;
  right: 1rem;
}

.avatar_panel .result .btns.top_right .btn.return {
  aspect-ratio: 1/1;
  padding: 0;
  border: none;
  background-color: transparent;
  color: black;
}

.avatar_panel .result .btns .btn.save {
  background-color: var(--pwBlue);
  color: white;
}

.avatar_panel .result .btns .btn.save.warning {
  background-color: var(--pwOrange);
}

.avatar_panel .result .btns .btn.save:hover {
  filter: brightness(0.9);
}

.avatar_panel .result .btns .btn.lg {
  height: 50px;
  padding: 0 20px;
}
.avatar_panel .result .btns .btn.circle {
  aspect-ratio: 1/1;
  padding: 0;
}

.avatar_panel .result .avatar_preview_wrap {
  position: relative;
  width: 23dvw;
  background-color: var(--grey-4);
  max-width: 380px;
  min-width: 220px;
  border-radius: 1rem;
  aspect-ratio: 1/1;
  overflow: hidden;
  margin: 10dvh auto auto auto;
}

.avatar_panel .result .avatar_preview_wrap img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.avatar_panel .result .status {
  margin: auto auto 1rem auto;
  color: var(--pwGray2);
}

/* +++++ 角色裝扮popup +++++ */
.accessory_info_popup {
  width: 100%;
  min-height: fit-content;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.swal2-actions .my_points {
  margin-right: auto;
  display: flex;
  gap: 5px;
  align-items: center;
  letter-spacing: 1px;
}

.my_points span {
  font-size: 120%;
  margin-top: 1px;
}

.accessory_info_popup > div {
  padding: 0 1rem;
}

.accessory_info_popup .content {
  width: 100%;
  height: fit-content;
  padding: 1.5rem 1rem;
  overflow-x: hidden;
  overflow-y: auto;
  text-align: left;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}

.accessory_info_popup .content > img {
  background-color: var(--pwLightGray);
  width: 180px;
  border-radius: 1rem;
  aspect-ratio: 1/1;
  object-fit: cover;
  margin: 1rem auto;
}

.accessory_info_popup .content .detail {
  width: 100%;
  font-size: 85%;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.accessory_info_popup .content .detail.intro {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.5rem;
}

.accessory_info_popup .hr {
  height: 1px;
  width: 100%;
  background-color: var(--grey-4);
}

.accessory_info_popup .detail .link,
.accessory_info_popup a {
  color: var(--pwBlue);
  cursor: pointer;
  text-decoration: underline;
  text-underline-position: under;
}

.accessory_info_popup #fakeHeadImg {
  background-color: transparent;
  position: absolute;
}

.content .detail .label {
  color: var(--pwGray2);
  width: fit-content;
  min-width: max-content;
}

.content .detail .value {
  width: 100%;
  display: flex;
  align-items: flex-end;
  white-space: pre-wrap;
}

.swal2-popup.swal2-modal .swal2-actions {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  bottom: 0;
  min-height: fit-content;
  padding: 1rem;
  gap: 0.8rem;
  border-top: 1px solid var(--grey-4);
}

.swal2-popup.swal2-modal .swal2-actions .swal2-confirm {
  cursor: pointer;
  color: white;
  padding: 5px 1.8rem;
  background-color: var(--pwBlue);
  transition: 0.2s all ease;
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.swal2-popup.swal2-modal .swal2-actions .swal2-confirm .pw_point {
  filter: brightness(10);
  width: 20px;
  margin: 0 2px 2px 0;
}

.swal2-popup.swal2-modal .swal2-actions .swal2-cancel {
  cursor: pointer;
  color: white;
  padding: 5px 1.8rem;
  background-color: var(--grey-6);
  transition: 0.2s all ease;
}

.w_md_popup {
  width: fit-content;
  height: fit-content;
  object-fit: contain;
  max-width: 75dvw !important;
}

/* +++++ 個人檔案編輯 +++++ */

.user_profile_wrapper {
  display: flex;
  margin-top: 2rem;
  gap: 0 8%;
  width: 100%;
}

.user_profile_wrapper form > div {
  width: 100%;
}

.user_profile_wrapper .list {
  width: 15%;
  display: flex;
  flex-direction: column;
}

.user_profile_wrapper .list .list_item {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.user_profile_wrapper .btns {
  margin-top: 1.5rem;
  display: flex;
  justify-content: flex-end;
  gap: 1rem;
}

.user_profile_wrapper .btns small {
  margin: 5px 0 1rem 0;
  color: var(--pwGray2);
}

.user_profile_wrapper .btns .btn {
  min-width: 100px;
  height: 40px;
}

.user_profile_wrapper .content_wrap {
  width: 100%;
  max-width: 600px;
}

.user_profile_wrapper small.form-text {
  color: var(--pwGray2);
}

.user_profile_wrapper .form-row {
  margin: auto;
  margin-bottom: 1.5rem;
}

.user_profile_wrapper .image_wrap {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}
.user_control_panel {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 1.5rem;
}

.user_control_panel .img_wrap {
  width: 100%;
  max-width: 180px;
}
.user_control_panel .img_wrap img.user {
  width: 100%;
  cursor: pointer;
  object-fit: cover;
  border: 1px solid lightgray;
  border-radius: 50%;
  aspect-ratio: 1/1;
}

.user_control_panel .img_wrap img.avatar {
  width: 100%;
  cursor: pointer;
  object-fit: cover;
  border: 1px solid var(--pwGray2);
  border-radius: 1rem;
  aspect-ratio: 1/1;
}

.user_control_panel .panel {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.user_control_panel .panel .btn {
  width: auto;
}

.user_control_panel .btns {
  margin-top: 0rem;
  gap: 0;
}

.form-row.password {
  display: flex;
  flex-direction: column;
}

.form-row.password .btns {
  margin-top: 0;
  justify-content: flex-start;
}

/* +++++ 修改密碼popup +++++ */
.user_password_popup {
  width: 100%;
  min-height: fit-content;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 1rem;
}

.user_password_popup .content {
  width: 100%;
  height: auto;
  max-height: 450px;
  padding: 1.5rem 1.5rem 1rem;
  overflow-x: hidden;
  overflow-y: auto;
  text-align: left;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
}

.user_password_popup .content .form-row {
  width: 100%;
  margin-bottom: 1.5rem;
}

.user_password_popup footer {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  bottom: 0;
  min-height: fit-content;
  padding: 1rem;
  gap: 0.8rem;
  border-top: 1px solid var(--grey-4);
}

.user_password_popup footer .btn.confirm {
  cursor: pointer;
  color: white;
  background-color: var(--pwBlue);
  transition: 0.2s all ease;
}

.user_password_popup footer .btn.btn_redeem:hover {
  opacity: 0.8;
}

.user_password_popup .btn_close {
  all: unset;
  position: absolute;
  top: 10px;
  right: 13px;
  line-height: 26px;
  color: var(--grey-6);
  font-family: monospace;
  font-size: 2.5em;
  transition: 0.2s all ease;
}

.user_password_popup .btn_close:hover {
  cursor: pointer;
  opacity: 0.8;
  color: var(--pwRed);
}

.account_source {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 0.5rem;
}

.account_source .type {
  width: auto;
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.account_source .status {
  user-select: none;
  border-radius: 1rem;
  height: 2rem;
  line-height: 2rem;
  padding: 0 1.2rem;
  color: var(--pwGray);
  font-size: 14px;
  border: 1px solid var(--grey-4);
}

/* +++++ 購買avatar配件popup +++++ */
.accessory_requirement_popup {
  width: 100%;
  min-height: fit-content;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 1rem;
}

.accessory_requirement_popup .btn_close {
  all: unset;
  position: absolute;
  top: 10px;
  right: 13px;
  line-height: 26px;
  color: var(--grey-6);
  font-family: monospace;
  font-size: 2.5em;
  transition: 0.2s all ease;
}

.accessory_requirement_popup .btn_close:hover {
  cursor: pointer;
  opacity: 0.8;
  color: var(--pwRed);
}

.accessory_requirement_popup .header {
  width: 100%;
  color: var(--pwGray);
  padding: 1.5rem;
  text-align: center;
}

.accessory_requirement_popup .header .info {
  display: flex;
  justify-content: space-between;
}

.accessory_requirement_popup .content {
  width: 100%;
  height: auto;
  max-height: 450px;
  padding: 0rem 1.5rem 1rem;
  overflow-x: hidden;
  overflow-y: auto;
  text-align: left;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}

.accessory_requirement_popup .content .not_obtained_item {
  display: flex;
  width: 100%;
  gap: 1.5rem;
}

.not_obtained_item > div {
  display: flex;
  flex-direction: column;
}

.accessory_requirement_popup .not_obtained_item .image_wrap {
  background-color: var(--grey-4);
  overflow: hidden;
  border-radius: 1rem;
  max-width: 120px;
  width: 100%;
  max-height: 120px;
  aspect-ratio: 1/1;
  position: relative;
}

.accessory_requirement_popup .not_obtained_item .image_wrap img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.accessory_requirement_popup .not_obtained_item .image_wrap .fake_head {
  position: absolute;
  left: 0px;
  top: 0px;
}

.not_obtained_item .info .desc {
  display: flex;
  margin-top: .5rem;
  gap: 5px;
  line-height: 1.2;
  align-items: center;
}

.not_obtained_item .info {
  width: 100%;
}
.not_obtained_item .info .desc .num {
  font-weight: 600;
  font-size: 20px;
}

.not_obtained_item .info .desc .pw_point {
  filter: brightness(0) grayscale(1) contrast(0.6);
}

.not_obtained_item .actions  {
  gap: 12px;
}

.not_obtained_item .actions.btns .btn {
  min-width: 70px;
  background-color: white;
  height: 30px;
}

.not_obtained_item .actions .btn.buy {
  background-color: var(--pwBlue);
  color: white;
}

.not_obtained_item .actions .btn.view {
  background-color: var(--pwGray);
  color: white;
}

.not_obtained_item .actions .btn.remove {
  color: var(--pwGray);
}

.not_obtained_item .actions.btns .btn:hover {
  opacity: 0.8;
}

#accessoryRequirementModal .modal-dialog {
  min-width: 600px;
}

/* +++++ Tooltips +++++ */
.tooltip {
  position: absolute;
  width: max-content;
  max-width: 200px;
  bottom: -30px;
  font-size: 14px;
  background: #ffffff;
  color: #ffffff;
  padding: 5px 8px;
  border-radius: 5px;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
  opacity: 0;
  pointer-events: none;
  left: 50%;
  transform: translateX(-50%);
  transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.tooltip::before {
  position: absolute;
  content: "";
  height: 8px;
  width: 8px;
  background-color: #ffffff;
  top: -3px;
  left: 50%;
  transform: translate(-50%) rotate(45deg);
  transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.opt:hover .tooltip {
  bottom: -45px;
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.opt:hover span,
.opt:hover .tooltip {
  text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.1);
}


.opt:hover,
.opt:hover .tooltip,
.opt:hover .tooltip::before {
  background: var(--pwGray);
  color: #ffffff;
}


/* +++++ RWD +++++ */

@media screen and (max-width: 886px)  {
  .selections .func .toggle span,
  .selections li span {
    display: none;
  }
  .avatar_panel .options {
    grid-template-columns: 50% 50%
  }
  h4 {
    font-size: 1.2rem;
  }
  .avatar_panel .result .btns.bottom {
    gap: .5rem;
  }
  .avatar_panel .result .btns .btn.lg {
    height: 40px;
  }

}


@media screen and (max-width: 768px) {
  h3 {
    font-size: 130%;
  }
  #appAvatar {
    padding: 0;
    margin-bottom: 0;
  }
  .container {
    padding: 0 0.5rem;
  }

  .container.avatar {
    padding: 0;
    height: 100%;
  }

  .user_container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
  }

  .user_container .user_img {
    grid-column: 1/2;
  }

  .user_container .user_img img {
    width: 100%;
  }
  .user_container .btns {
    grid-column: 2/3;
    gap: 10px;
  }

  .user_container .btns .btn {
    height: 36px;
    padding: 0px 12px;
  }

  .user_container .user_info {
    grid-column: 1/3;
    grid-row: 2/3;
    width: 100%;
    padding: 0;
  }

  .user_container .user_info p {
    margin-bottom: 0;
  }

  .tab_content .search_panel .select_wrap {
    width: 100%;
  }

  .mobile_tabs {
    position: relative;
    margin-bottom: 1rem;
  }

  .mobileTabs {
    position: relative;
    overflow: visible;
  }

  .mobileTabs .tabs {
    position: relative;
    border-bottom: none;
    margin-bottom: 0;
  }

  .mobileTabs .tabs .btn_tab {
    border-bottom: 1px solid;
  }

  .swiper-button-prev.tab,
  .swiper-button-next.tab {
    color: black;
    cursor: pointer;
    padding: 0.5rem;
    background-color: #ffffff83;
    position: absolute;
    margin-top: 0;
    height: 100%;
    z-index: 1;
    width: 3rem;
    top: 0;
    left: -1rem;
    border-radius: 0 2rem 2rem 0;
  }

  .swiper-button-next.tab {
    left: auto;
    right: -1rem;
    border-radius: 2rem 0 0 2rem;
  }

  .swiper-button-prev.tab:after,
  .swiper-button-next.tab:after {
    font-weight: 600;
    transform: scale(0.5);
  }

  .swiper-button-next.swiper-button-disabled,
  .swiper-button-prev.swiper-button-disabled {
    display: none;
  }

  .tab_content.achievement {
    flex-direction: column;
    gap: 0.5rem;
  }

  .tab_content.achievement .content_wrap {
    width: 100%;
  }

  .tab_content.achievement .achievement > div {
    width: 100%;
  }

  .tab_content.achievement .achievement_container .achievement .info {
    width: 60%;
  }

  .tab_content.achievement .achievement .img_wrap {
    width: 50%;
  }

  .tab_content.achievement .list {
    width: 100%;
  }

  .tab_content.achievement .list .list_item.total {
    font-weight: 500;
    font-size: 18px;
    justify-content: flex-start;
    gap: 1rem;
  }

  .tab_content.achievement .list .list_item.total span:last-child {
    font-weight: 600;
  }

  .tab_content.achievement .list .list_item.tab {
    display: none;
  }

  .list .list_selector {
    display: block;
    margin-bottom: 1rem;
  }

  .point_content {
    display: flex;
    flex-direction: column;
  }

  .point_content .user_points {
    /* display: grid; */
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
    width: 100%;
  }

  .point_content .user_points h3 {
    line-height: 2;
    grid-column: 1/2;
    grid-row: 1/2;
  }

  .point_content .user_points .btns {
    display: flex;
    align-items: center;
    /*justify-content: flex-end;*/
	gap: .5rem;
    grid-column: 2/3;
    grid-row: 1/2;
  }

  .point_content .user_points .btns .btn {
    height: 40px;
  }

  .point_content .user_points .total_points {
    grid-column: 1/3;
    grid-row: 2/3;
  }

  .point_content .user_points .points_expired {
    grid-column: 1/3;
    grid-row: 3/4;
  }

  .point_content .user_points > a {
    all: unset;
    font-size: 1rem;
    cursor: pointer;
    color:var(--pwGray2);
    transition: 0.2s all ease;
  }

  .point_content .user_points a:hover {
    opacity: .5;
  }

  .records_container .sub_tabs {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 0.5rem;
  }

  .records_container .sub_tabs > * {
    margin-right: 0;
  }

  .sub_tabs .tab {
    padding: 0 12px;
  }

  .container .avatar_panel {
    grid-template-columns: 1fr;
    grid-auto-rows: max-content;
    height: max-content;
    border: none;
    border-radius: 0;
  }

  .avatar_panel .selections_wrap {
    display: none;
  }

  .avatar_panel .selections_wrap_mobile {
    display: grid;
    position: relative;

    border-bottom: 1px solid black;
    border-top: 1px solid #cccccc;
    grid-row: 2/3;
  }

  .avatar_panel .selections_wrap_mobile .swiper.mobileSelections {
    display: flex;
    width: 100%;
  }

  .avatar_panel .selections_wrap_mobile ul.selections {
    padding-inline-start: 0;
  }

  .swiper.mobileSelections .swiper-slide.selection {
    position: relative;
    padding: 0;
    width: fit-content;
    aspect-ratio: 1/1;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    border-radius: 0;
    align-items: center;
    justify-content: center;
    gap: 6px;
    transition: 0.2s all ease;
    opacity: 1;
  }

  .selection li {
    position: relative;
    border-radius: 1rem;
    transition: 0.2s all ease;
    padding: 0.5rem 1rem;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    font-weight: 500;
    opacity: 1;
  }

  .selection .icons_wrap {
    width: 50%;
    display: flex;
    align-items: center;
    padding: 0;
    justify-content: center;
    height: 50%;
    position: relative;
  }

  .selection .icons_wrap img {
    width: 100%;
    height: 100%;
  }

  .selection .icons_wrap li.active,
  .selection .icons_wrap li:hover {
    background-color: var(--pwGray);
    color: white;
    transition: 0.2s all ease;
  }

  .selections li img.fill {
    left: 0rem;
  }

  .selection .icons_wrap li img.fill {
    opacity: 0;
    transition: 0.2s all ease;
  }

  .selection .icons_wrap li img.outline {
    opacity: 1;
    transition: 0.2s all ease;
  }

  .selection .icons_wrap li.active img.fill,
  .selection .icons_wrap li:hover img.fill {
    opacity: 1;
    transition: 0.2s all ease;
  }

  .selection .icons_wrap li.active img.outline,
  .selection .icons_wrap li:hover img.outline {
    opacity: 0;
    transition: 0.2s all ease;
  }

  .avatar_panel .result {
    grid-row: 1/2;
    min-height: 410px;
  }

  .avatar_panel .result .avatar_preview_wrap {
    margin-top: 3.5rem;
    max-width: 260px;
  }

  .avatar_panel .result .btns.bottom {
    bottom: 3rem;
  }

  .avatar_panel .result .btns.top_right {
    top: 0px;
    right: 0px;
  }

  .avatar_panel .result span.title_mobile {
    position: absolute;
    top: 0rem;
    left: 1rem;
    line-height: 50px;
    font-size: 1.25rem;
    color: var(--pwGray);
    font-weight: 500;
  }

  .avatar_panel .options {
    grid-row: 3/4;
    padding: 1rem;
    grid-template-columns: repeat(auto-fit, 113px);
  }

  .user_container .user_img_panel {
    z-index: 10;
    width: 100%;
    height: fit-content;
  }

  .w_md_popup {
    max-width: 100dvw !important;
  }

  .user_profile_wrapper {
    flex-direction: column;
  }

  .user_profile_wrapper .list {
    width: 100%;
  }

  .user_profile_wrapper .list .list_item {
    display: none;
  }

  .user_control_panel {
    flex-direction: column;
  }

  .avatar_panel .result .btns .btn.lg {
    height: 40px;
  }

  .accessory_requirement_popup .content,
  .accessory_requirement_popup .header {
    padding: 1rem;
    font-size: 90%;
  }

  
  .accessory_requirement_popup .content .not_obtained_item {
    gap: .5rem;
  }

  .accessory_requirement_popup .not_obtained_item .image_wrap {
    width: 60%;
  }
  .not_obtained_item .actions.btns .btn {
    min-width: max-content;
  }

  #accessoryRequirementModal .modal-dialog {
    min-width: unset;
  }
}

@media screen and (max-width: 568px) {
  .avatar_panel .options {
    outline: 1px solid;
    border-top: none;
    height: 40dvh;
    grid-row: 3/4;
    padding: 1rem 1rem 3.5rem 1rem;
    grid-template-columns: 1fr 1fr 1fr;
  }

  /* tabs三個以內才使用 */
  .tabs.no_overflow .btn_tab {
    min-width: 30dvw;
    padding: 0;
  }

  .btns .btn:hover {
    background-color: #fff;
    color: var(--pwGray);
  }

  .btns .btn:hover img {
    filter: none;
    transition: 0.2s all ease;
  }

  .btns .btn.point:hover img {
    filter: brightness(0) grayscale(1);
    transition: 0.2s all ease;
  }

  .avatar_panel .options .part_name {
    display: block;
    grid-column: 1/4;
    height: min-content;
  }

  .avatar_panel .result .btns.top_right {
    top: 6px;
    right: 8px;
  }

  .point_content {
    gap: 2.5rem;
  }

  .not_obtained_item .info h5 {
    font-size: 1rem;
  }

  .user_profile_wrapper .btns {
    justify-content: space-evenly;
  }
}
